Subject: Re: [RFC][PATCH 00/10] Sparse: Git's "make check" target

From: Josh Triplett <[email-masked]>
Date: Sat, 09 Jun 2007 16:50:32 -0700

Sam Ravnborg wrote:
>> Also, you might consider just using cgcc to run both GCC and Sparse.  That
>> would handle the issue of target-specific CFLAGS, by ensuring that Sparse and
>> GCC always see the same CFLAGS.
> 
> Is this the recommended way?
> I that case I suggest that someone looks into the linux kernel part
> and change it to use this method.

The approach taken by Linux allows running sparse on files without recompiling
them.  Using CC=cgcc just makes for less work, but the kernel has that work
done now.

- Josh Triplett